Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw.staticlayouts
Class IterableFromStaticEmittedLayout

    java.lang.Object
      samples.preview_new_graphdraw.AbstractLayout
          samples.preview_new_graphdraw.StaticLayout
              samples.preview_new_graphdraw.staticlayouts.IterableFromStaticEmittedLayout

All Implemented Interfaces:
  Cloneable, LayoutEmitter

public class IterableFromStaticEmittedLayout
extends StaticLayout

The IterableToStaticLayout allows a graph to start fully visualized and advanced, at the cost of some time. this version starts with a Graph, and (when initializeLocations is called) repeatedly iterates until done. created Apr 23, 2004

Author:
  danyelf

Field Summary
`protected EmittedLayout` | `emitted`
`protected IterableLayout` | `iterableLayout`

Fields inherited from class samples.preview_new_graphdraw.AbstractLayout
`screenSize, visEdgeMap, visVertexMap`

Constructor Summary
`IterableFromStaticEmittedLayout(EmittedLayout emitted, IterableLayout iter)`

Method Summary
`protected VisVertex` | `createVisVertex(Vertex v)`
`StaticLayout` | `initializeLocations(Dimension d, Graph g)`

Methods inherited from class samples.preview_new_graphdraw.StaticLayout
`createVisEdge, createVisEdges, createVisVertices, emit`

Methods inherited from class samples.preview_new_graphdraw.AbstractLayout
`getScreenSize, getVisEdge, getVisVertex, repositionLayout, setDimensions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterableLayout

    protected IterableLayout iterableLayout

### emitted

    protected EmittedLayout emitted

Constructor Detail

### IterableFromStaticEmittedLayout

    public IterableFromStaticEmittedLayout(EmittedLayout emitted,
                                           IterableLayout iter)

Method Detail

### initializeLocations

    public StaticLayout initializeLocations(Dimension d,
                                            Graph g)

  Overrides:
    `initializeLocations` in class `StaticLayout`

### createVisVertex

    protected VisVertex createVisVertex(Vertex v)

  Specified by:
    `createVisVertex` in class `StaticLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD